/* Search Overlay */

section.search-overlay {
	visibility: hidden;
	opacity: 0;
	transition: all ease-in-out 0.25s;
	transition-timing-function: linear;
	z-index: -1;
}

.search-open section.search-overlay {
	visibility: visible;
	opacity: 1;
	z-index: 99999;
}

section.search-overlay {
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #ffffff;
}

.search-overlay-inner {
    padding: 27px;
}

.search-overlay-inner .menu-search {
    float: right;
    font-size: 32px;
}

.search-overlay-form {
    position: absolute;
    width: 97%;
    left: 50%;
    /* transform: translateX(-50%); */
    top: 50%;
    transform: translate(-50%, -30%);
    opacity: 0;
    transition: all ease-in-out 0.25s 0.25s;
    transition-timing-function: linear;
}

.search-open .search-overlay-form {
    opacity: 1;
    transform: translate(-50%, -50%);
}

.search-overlay-form input[type=search] {
    width: 100%;
    /* float: left; */
    height: 60px;
    display: inline-block;
    position: relative;
}

.search-overlay-form input[type=submit] {
    width: 60px;
    position: absolute;
    margin-top: 0px;
    min-height: 60px;
    font-family: "Font Awesome 5 Free";
    font-weight: 600;
    height: 60px;
    border-radius: 0px;
    text-align: center;
    padding: 0px;
    right: -20px;
    top: 0px;
    opacity: 0;
    transition: all ease-in-out 0.6s 0.3s;
}

.search-open .search-overlay-form input[type=submit] {
    opacity: 1;
    right: 0px;
}